Package com.independentsoft.office.vml

# Class Anchor

java.lang.Object
com.independentsoft.office.vml.Anchor

public class Anchor extends Object
The Class Anchor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Anchor()`
  Instantiates a new anchor.
  `Anchor​(int leftColumn, int leftOffset, int topRow, int topOffset, int rightColumn, int rightOffset, int bottomRow, int bottomOffset)`
  Instantiates a new anchor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Anchor`
  `clone()`
  `int`
  `getBottomOffset()`
  Gets the bottom offset.
  `int`
  `getBottomRow()`
  Gets the bottom row.
  `int`
  `getLeftColumn()`
  Gets the left column.
  `int`
  `getLeftOffset()`
  Gets the left offset.
  `int`
  `getRightColumn()`
  Gets the right column.
  `int`
  `getRightOffset()`
  Gets the right offset.
  `int`
  `getTopOffset()`
  Gets the top offset.
  `int`
  `getTopRow()`
  Gets the top row.
  `void`
  `setBottomOffset​(int bottomOffset)`
  Sets the bottom offset.
  `void`
  `setBottomRow​(int bottomRow)`
  Sets the bottom row.
  `void`
  `setLeftColumn​(int leftColumn)`
  Sets the left column.
  `void`
  `setLeftOffset​(int leftOffset)`
  Sets the left offset.
  `void`
  `setRightColumn​(int rightColumn)`
  Sets the right column.
  `void`
  `setRightOffset​(int rightOffset)`
  Sets the right offset.
  `void`
  `setTopOffset​(int topOffset)`
  Sets the top offset.
  `void`
  `setTopRow​(int topRow)`
  Sets the top row.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Anchor

    public Anchor()
    Instantiates a new anchor.

  - ### Anchor

    public Anchor​(int leftColumn, int leftOffset, int topRow, int topOffset, int rightColumn, int rightOffset, int bottomRow, int bottomOffset)
    Instantiates a new anchor.
    Parameters:
      `leftColumn` - the left column
      `leftOffset` - the left offset
      `topRow` - the top row
      `topOffset` - the top offset
      `rightColumn` - the right column
      `rightOffset` - the right offset
      `bottomRow` - the bottom row
      `bottomOffset` - the bottom offset

- ## Method Details

  - ### clone

    public Anchor clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLeftColumn

    public int getLeftColumn()
    Gets the left column.
    Returns:
      the left column

  - ### setLeftColumn

    public void setLeftColumn​(int leftColumn)
    Sets the left column.
    Parameters:
      `leftColumn` - the new left column

  - ### getLeftOffset

    public int getLeftOffset()
    Gets the left offset.
    Returns:
      the left offset

  - ### setLeftOffset

    public void setLeftOffset​(int leftOffset)
    Sets the left offset.
    Parameters:
      `leftOffset` - the new left offset

  - ### getTopRow

    public int getTopRow()
    Gets the top row.
    Returns:
      the top row

  - ### setTopRow

    public void setTopRow​(int topRow)
    Sets the top row.
    Parameters:
      `topRow` - the new top row

  - ### getTopOffset

    public int getTopOffset()
    Gets the top offset.
    Returns:
      the top offset

  - ### setTopOffset

    public void setTopOffset​(int topOffset)
    Sets the top offset.
    Parameters:
      `topOffset` - the new top offset

  - ### getRightColumn

    public int getRightColumn()
    Gets the right column.
    Returns:
      the right column

  - ### setRightColumn

    public void setRightColumn​(int rightColumn)
    Sets the right column.
    Parameters:
      `rightColumn` - the new right column

  - ### getRightOffset

    public int getRightOffset()
    Gets the right offset.
    Returns:
      the right offset

  - ### setRightOffset

    public void setRightOffset​(int rightOffset)
    Sets the right offset.
    Parameters:
      `rightOffset` - the new right offset

  - ### getBottomRow

    public int getBottomRow()
    Gets the bottom row.
    Returns:
      the bottom row

  - ### setBottomRow

    public void setBottomRow​(int bottomRow)
    Sets the bottom row.
    Parameters:
      `bottomRow` - the new bottom row

  - ### getBottomOffset

    public int getBottomOffset()
    Gets the bottom offset.
    Returns:
      the bottom offset

  - ### setBottomOffset

    public void setBottomOffset​(int bottomOffset)
    Sets the bottom offset.
    Parameters:
      `bottomOffset` - the new bottom offset